Cannot import grails-core from github into Intellij IDEA

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Cannot import grails-core from github into Intellij IDEA

Fedor Belov
Hello. I have checked out Grails tag v2.2.1, then built it (gradle install). Next I'm trying to add my Grails as library to Intellij IDEA (to create and run projects by this modified version). But Intellij prints an exception:

"Looks like Grails distribution in specified path is broken. Cannot determinate the version".

Does anybody know how to solve it? What's the difference between checked out Grails and downloaded from official distribution?

I already asked this question - http://grails.1312388.n4.nabble.com/Cannot-import-grails-core-from-github-into-Intellij-IDEA-td4643935.html - but still no response and this problem is not solved.

I wanna build grails-core with my changes and distribute it in my company. So I need correct integration with Intellij
Reply | Threaded
Open this post in threaded view
|

Re: Cannot import grails-core from github into Intellij IDEA

Fedor Belov
Ok. I've found the reason of problem. IDEA prints this error when you version has ".BUILD-SNAPSHOT" postfix (for example 2.2.4.BUILD-SNAPSHOT). When your version doesn't have this postfix (2.2.4) everything works... May be IDEA doesn't accept any postfix... don't know